{
  programs.tmux = {
    enable = true;
    baseIndex = 1;
    escapeTime = 0;
    keyMode = "vi";
    mouse = true;
    terminal = "screen-256color";
    historyLimit = 5000;
    extraConfig = ''
      bind -n M-s split-window -v
      bind -n M-v split-window -h
      bind -n M-Enter split-window -h
      bind -n M-h select-pane -L
      bind -n M-j select-pane -D
      bind -n M-k select-pane -U
      bind -n M-l select-pane -R
      bind -n M-q kill-pane
      bind -n M-< resize-pane -L 10
      bind -n M-> resize-pane -R 10
      bind -n M-- resize-pane -D 10
      bind -n M-+ resize-pane -U 10
      bind -n M-z resize-pane -Z
      bind -n M-u copy-mode
      bind -n M-p paste-buffer
      bind -n M-n next-window

      set-option -g renumber-windows on
    '';
  };

  # programs.kitty = {
  #   enable = true;
  #   keybindings = {
  #     "alt+h" = "neighboring_window left";
  #     "alt+l" = "neighboring_window right";
  #     "alt+j" = "neighboring_window down";
  #     "alt+k" = "neighboring_window up";
  #     "alt+enter" = "new_window";
  #   };
  #   shellIntegration.enableZshIntegration = true;
  # };
}
